<?php

namespace App\Models;

use DateTime;
use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Support\Collection;

/**
 * Class MaturityAnswer.
 *
 * @property int                                  $id
 * @property string                               $name
 * @property string                               $slug
 * @property int                                  $level
 * @property MaturityQuestion                     $question
 * @property int                                  $maturity_question_id
 * @property MaturityAnswer[]|iterable|Collection $evaluationMaturityAnswers
 * @property DateTime                             $createdAt
 * @property DateTime                             $updatedAt
 */
class MaturityAnswer extends Model
{
    use HasFactory;
    use HasTimestamps;

    public function question(): BelongsTo
    {
        return $this->belongsTo(MaturityQuestion::class);
    }

    public function evaluationMaturityAnswers(): HasMany
    {
        return $this->hasMany(EvaluationMaturityAnswer::class);
    }
}
