<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Concerns\HasTimestamps;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Support\Collection;

/**
 * Class Scenario.
 *
 * @property int                  $id
 * @property string               $name
 * @property Danger[]|Collection  $dangers
 * @property Measure[]|Collection $measures
 */
class Scenario extends Model
{
    use HasFactory;
    use HasTimestamps;

    public function dangers(): BelongsToMany
    {
        return $this->belongsToMany(Danger::class);
    }

    public function measures(): BelongsToMany
    {
        return $this->belongsToMany(Measure::class);
    }
}
